Ryzom - Bug # 199

Status: Closed Priority: Urgent
Author: kervala Category: NeL: General
Created: 11/27/2008 Assignee: kervala
Updated: 09/30/2010 Due date:

Subject: Reflects are not rendered correctly in opengl driver

Description

When a shape is using reflects maps, texture is not correctly rendered.

We could compare with older versions of opengl driver.

History

#1 - 11/29/2008 12:41 pm - kervala

- File spec_box_left.png added

- Category changed from 3d - OpenGL to 3d
- Assignee set to kervala

- Priority changed from High to Urgent

- % Done changed from 0 to 50

The bug is in CBitmap::convertToType when converting a DXT1Alpha testure in RGBA.

It's reproductible only when using a .dds texture in a CTextureCube with OpenGL driver because D3D driver is managing by itself the DDS

conversion.

#2 - 11/29/2008 12:42 pm - kervala

- Category changed from 3d to Misc

#3 - 11/29/2008 01:10 pm - kervala

- Status changed from New to Resolved
- % Done changed from 50 to 100

Applied in changeset r548.

#4 - 11/29/2008 01:12 pm - kervala

We were assuming DXT1 textures always had an alpha channel, which is incorrect.
#5 - 01/08/2009 02:34 pm - kervala

- Status changed from Resolved to Closed

#6 - 09/29/2010 09:26 pm - kervala

- Project changed from NeL to Ryzom

- Category deleted (Misc)
- Target version deleted (Version 0.7.0)
#7 - 09/30/2010 11:40 am - kervala
- Category set to NeL: General

- Target version set to Version 0.7.0
